import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:farmer_client/widgets/layout/BasicPage.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:get/get.dart';

import '../../services/main.dart';

class Feedback extends BasicPage {
  final text=Rx<String>('');
  final isEdit=Rx<bool>(false);

  @override
  Widget builder(BuildContext context) {
    naviTitle = '意见反馈';
    return Container(
      height: 700.h,
      padding: EdgeInsets.all(15.w),
      child: Stack(
        children: [
          Container(
            margin: EdgeInsets.fromLTRB(0, 0, 0, 50.h),
            padding: EdgeInsets.symmetric(vertical: 5.w, horizontal: 18.5.w),
            decoration: BoxDecoration(
                color: const Color(0xFFfefefe),
                borderRadius: BorderRadius.all(Radius.circular(10.w)),
                border: Border.all(
                    color: const Color(0xcc000000),
                    width: 1.h,
                    style: BorderStyle.solid)),
            child: TextFormField(
              minLines: 6,
              maxLines: 6,
              style: TextStyle(fontSize: 17.sp, height: 1.5),
              decoration: const InputDecoration(
                isCollapsed: true,
                border: InputBorder.none,
                counterText: '', //去掉计数
                floatingLabelBehavior: FloatingLabelBehavior.never,
              ),
              onTap: () {
                  isEdit.value=true;
              },
              onChanged: (e) {
                  text.value = e;
              },
            ),
          ),
          Obx(()=>
          Visibility(
          visible:!isEdit(),
            child:
          Positioned(
            left: 20.w,
            top: 5.w,
            child: Row(
              children: [
                Image.asset(
                  'images/icons/feedbackIcon.png',
                  width: 15.w,
                ),
                Text(
                  '请留下您宝贵的意见和建议！',
                  style: TextStyle(
                      fontSize: 17.sp,
                      letterSpacing: 2,
                      color: Color(0xFFBEBDBD)),
                ),
              ],
            ),
          ),
          ),
          ),
          Positioned(
            bottom: 25.h,
            child: DefaultButton(
              color: const Color(0xffffffff),
              backColor: const Color(0xFFFF703B),
              width: 345.w,
              height: 49.h,
              text: '提交',
              onPressed: () {
                if (text() == '') {
                  Fluttertoast.showToast(msg: '请输入内容哦');
                } else {
                  feedback(text()).then((value) {
                    Fluttertoast.showToast(msg: '提交成功！');
                    Get.back();
                  });

                }
              },
              margin: const EdgeInsets.all(0),
              fontSize: 20.sp,
              radius: 24.5.w,
            ),
          ),
        ],
      ),
    );
  }
}
